# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXQueryPokeCount

Function

Returns the number of pokes for a specified Field.

Syntax
`
#include <dx/dx.h>
`

Error DXQueryPokeCount(Field picks, int *pokeCount)

Functional Details

For the specified Field, this routine returns the number of pokes (in `pokeCount`).

The input to the routine is a Field (`picks`) containing pick information. The pick Field is created by the Pick tool. The poke count is returned in (`*pokeCount`).

Return Value

Returns `OK` or returns `NULL` and sets an error code.

See Also

`DXGetPickPoint, DXQueryPickCount, DXQueryPickPath, DXTraversePickPath`

14.6 , "Pick-Assistance Routines".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page | Contact Data Explorer | Same document on Data Explorer Home Page ]

[IBM Home Page | Order | Search | Contact IBM | Legal ]